# Integrations

Chassy provides a handful of useful integrations with external services. This list currently includes *GitHub*, *DockerHub*, *Slack*, and *AWS*. This list is expanding to support many platforms and services.

## Build Integrations

Build integrations allow you to integrate Chassy builds with external platforms. These external platforms can range from container registry platforms to version control system remotes.

* [GitHub](/reference/integrations/github.md)
* [Docker Hub](/reference/integrations/docker-hub.md)

## Notification Integrations

Notification integrations allow you to receive communications from Chassy within specified channels. It is especially useful for receiving notifications from workflow runs.

* [Slack](/reference/integrations/slack.md)

## Cloud Integrations

Cloud integrations allow you to interact with cloud resources using Chassy. This can be useful for things like the persistence of logs or the import of packages within workflows.

* [AWS](/reference/integrations/aws.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chassy.io/reference/integrations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
